<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/ExecutorTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ExecutorTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;list&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_executor_test_utils_8h_source.html">ExecutorTestUtils.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_wait_event_8h_source.html">AVSCommon/Utils/WaitEvent.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExecutorTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_executor_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_executor_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_executor_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_executor_test_8cpp">
<area shape="rect" id="node4" href="_executor_test_utils_8h.html" title="ExecutorTestUtils.h" alt="" coords="186,112,322,137"/>
<area shape="rect" id="node6" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="695,105,890,144"/>
<area shape="rect" id="node18" href="_wait_event_8h.html" title="AVSCommon/Utils/WaitEvent.h" alt="" coords="346,112,552,137"/>
<area shape="rect" id="node15" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="545,192,739,231"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test_1_1_executor_test.html">alexaClientSDK::avsCommon::utils::threading::test::ExecutorTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test_1_1_slow_destructor.html">alexaClientSDK::avsCommon::utils::threading::test::SlowDestructor</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used by <code>futureWaitsForTaskCleanup</code> delay and timestamp the time of lambda parameter destruction.  <a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test_1_1_slow_destructor.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading.html">alexaClientSDK::avsCommon::utils::threading</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html">alexaClientSDK::avsCommon::utils::threading::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa4f765f3f901df2221b08a56613cc7f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#aa4f765f3f901df2221b08a56613cc7f7">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitStdFunctionAndVerifyExecution)</td></tr>
<tr class="separator:aa4f765f3f901df2221b08a56613cc7f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61eb33c056e2cd7151f53eaae2790e0f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a61eb33c056e2cd7151f53eaae2790e0f">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitStdBindAndVerifyExecution)</td></tr>
<tr class="separator:a61eb33c056e2cd7151f53eaae2790e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb83dcb2b274fc794f9d883d3aa62a5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#aadb83dcb2b274fc794f9d883d3aa62a5">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitLambdaAndVerifyExecution)</td></tr>
<tr class="separator:aadb83dcb2b274fc794f9d883d3aa62a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb3817b1b9d8f0764834d2256bab9f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#abeb3817b1b9d8f0764834d2256bab9f5">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionPointerAndVerifyExecution)</td></tr>
<tr class="separator:abeb3817b1b9d8f0764834d2256bab9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad662de535aedc776d6a6b6e2cc9800fe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#ad662de535aedc776d6a6b6e2cc9800fe">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctorAndVerifyExecution)</td></tr>
<tr class="separator:ad662de535aedc776d6a6b6e2cc9800fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1ea4243745f2e39b70899208429d23c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#ac1ea4243745f2e39b70899208429d23c">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithPrimitiveReturnTypeNoArgsAndVerifyExecution)</td></tr>
<tr class="separator:ac1ea4243745f2e39b70899208429d23c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6af418cf12d8934e851b7baa24a96301"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a6af418cf12d8934e851b7baa24a96301">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithObjectReturnTypeNoArgsAndVerifyExecution)</td></tr>
<tr class="separator:a6af418cf12d8934e851b7baa24a96301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55428ed45cd33585895dacc468c1c03b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a55428ed45cd33585895dacc468c1c03b">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithNoReturnTypePrimitiveArgsAndVerifyExecution)</td></tr>
<tr class="separator:a55428ed45cd33585895dacc468c1c03b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa513d20c792219169eec5ea7f5d16e4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#aa513d20c792219169eec5ea7f5d16e4d">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithNoReturnTypeObjectArgsAndVerifyExecution)</td></tr>
<tr class="separator:aa513d20c792219169eec5ea7f5d16e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba7bbac5f015bd514cb70c426e13b1e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#acba7bbac5f015bd514cb70c426e13b1e">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithPrimitiveReturnTypeObjectArgsAndVerifyExecution)</td></tr>
<tr class="separator:acba7bbac5f015bd514cb70c426e13b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48db5c7d1a67465380bdccfd0afc540e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a48db5c7d1a67465380bdccfd0afc540e">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithObjectReturnTypePrimitiveArgsAndVerifyExecution)</td></tr>
<tr class="separator:a48db5c7d1a67465380bdccfd0afc540e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88ff1260f9983a197bbc607a177e4f9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a88ff1260f9983a197bbc607a177e4f9e">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithPrimitiveReturnTypePrimitiveArgsAndVerifyExecution)</td></tr>
<tr class="separator:a88ff1260f9983a197bbc607a177e4f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77abc98ee2a66414a47e28c6224b7bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#af77abc98ee2a66414a47e28c6224b7bf">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitFunctionWithObjectReturnTypeObjectArgsAndVerifyExecution)</td></tr>
<tr class="separator:af77abc98ee2a66414a47e28c6224b7bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd31d90dbf0613d702e9390faaf8dd1a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#acd31d90dbf0613d702e9390faaf8dd1a">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_submitToFront)</td></tr>
<tr class="separator:acd31d90dbf0613d702e9390faaf8dd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66597284a28e6d109fe0670fd2063565"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a66597284a28e6d109fe0670fd2063565">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_executionOrderEqualToSubmitOrder)</td></tr>
<tr class="separator:a66597284a28e6d109fe0670fd2063565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e71cc7e4e96237b7455836c28a54e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#aa6e71cc7e4e96237b7455836c28a54e2">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_futureWaitsForTaskCleanup)</td></tr>
<tr class="memdesc:aa6e71cc7e4e96237b7455836c28a54e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This test verifies that the executor waits to fulfill its promise until after the task is cleaned up.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#aa6e71cc7e4e96237b7455836c28a54e2">More...</a><br /></td></tr>
<tr class="separator:aa6e71cc7e4e96237b7455836c28a54e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a466118fc4c7c51a7fabfaf73603b34b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a466118fc4c7c51a7fabfaf73603b34b1">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_shutdown)</td></tr>
<tr class="memdesc:a466118fc4c7c51a7fabfaf73603b34b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This test verifies that the shutdown function completes the current task and does not accept new tasks.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a466118fc4c7c51a7fabfaf73603b34b1">More...</a><br /></td></tr>
<tr class="separator:a466118fc4c7c51a7fabfaf73603b34b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcef3e561cb14f7d0529d96bf273e6c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#afcef3e561cb14f7d0529d96bf273e6c4">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_pushAfterExecutordownFail)</td></tr>
<tr class="memdesc:afcef3e561cb14f7d0529d96bf273e6c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that calling submit after shutdown will fail the job.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#afcef3e561cb14f7d0529d96bf273e6c4">More...</a><br /></td></tr>
<tr class="separator:afcef3e561cb14f7d0529d96bf273e6c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6d45b4cc1e0ea9c0647989f3aac6a11"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#ad6d45b4cc1e0ea9c0647989f3aac6a11">alexaClientSDK::avsCommon::utils::threading::test::TEST_F</a> (ExecutorTest, test_shutdownCancelJob)</td></tr>
<tr class="memdesc:ad6d45b4cc1e0ea9c0647989f3aac6a11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that shutdown cancel jobs in the queue.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#ad6d45b4cc1e0ea9c0647989f3aac6a11">More...</a><br /></td></tr>
<tr class="separator:ad6d45b4cc1e0ea9c0647989f3aac6a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
